org.apache.pdfbox.pdmodel.interactive.annotation.handlers

## Class PDAbstractAppearanceHandler

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.annotation.handlers.PDAbstractAppearanceHandler

All Implemented Interfaces:
  PDAppearanceHandler

Direct Known Subclasses:
  PDCaretAppearanceHandler, PDCircleAppearanceHandler, PDFileAttachmentAppearanceHandler, PDFreeTextAppearanceHandler, PDHighlightAppearanceHandler, PDInkAppearanceHandler, PDLineAppearanceHandler, PDLinkAppearanceHandler, PDPolygonAppearanceHandler, PDPolylineAppearanceHandler, PDSoundAppearanceHandler, PDSquareAppearanceHandler, PDSquigglyAppearanceHandler, PDStrikeoutAppearanceHandler, PDTextAppearanceHandler, PDUnderlineAppearanceHandler

    public abstract class PDAbstractAppearanceHandler
    extends Object
    implements PDAppearanceHandler

Generic handler to generate the fields appearance. Individual handler will provide specific implementations for different field types.

### Field Summary

Fields
`protected static Set<String>` `ANGLED_STYLES` Line ending styles where the shape changes its angle, e.g.
`protected PDDocument` `document`
`protected static Set<String>` `INTERIOR_COLOR_STYLES` Line ending styles where there is an interior color.
`protected static Set<String>` `SHORT_STYLES` Line ending styles where the line has to be drawn shorter (minus line width).

### Constructor Summary

Constructors
Constructor and Description
`PDAbstractAppearanceHandler(PDAnnotation annotation)`
`PDAbstractAppearanceHandler(PDAnnotation annotation, PDDocument document)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected COSStream` `createCOSStream()`
`void` `generateAppearanceStreams()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.pdfbox.pdmodel.interactive.annotation.handlers.PDAppearanceHandler

`generateDownAppearance, generateNormalAppearance, generateRolloverAppearance`

### Field Detail

#### document

    protected PDDocument document

#### SHORT_STYLES

    protected static final Set<String> SHORT_STYLES

Line ending styles where the line has to be drawn shorter (minus line width).

#### INTERIOR_COLOR_STYLES

    protected static final Set<String> INTERIOR_COLOR_STYLES

Line ending styles where there is an interior color.

#### ANGLED_STYLES

    protected static final Set<String> ANGLED_STYLES

Line ending styles where the shape changes its angle, e.g. arrows.

### Constructor Detail

#### PDAbstractAppearanceHandler

    public PDAbstractAppearanceHandler(PDAnnotation annotation)

#### PDAbstractAppearanceHandler

    public PDAbstractAppearanceHandler(PDAnnotation annotation,
                                       PDDocument document)

### Method Detail

#### generateAppearanceStreams

    public void generateAppearanceStreams()

Specified by:
  `generateAppearanceStreams` in interface `PDAppearanceHandler`

#### createCOSStream

    protected COSStream createCOSStream()